apiVersion: helm.fluxcd.io/v1
kind: HelmRelease
metadata:
    name: batchmon-prod
    namespace: prod
    annotations:
        fluxcd.io/automated: "true"
spec:
    releaseName: batchmon-prod
    chart:
        git: https://gitlab.cern.ch/batch-team/infra/iac-gitops-batchmon.git
        path: charts/batchmon
        ref: master
    values:
        prometheus:
            server:
                baseURL: http://batchmon-prod.cern.ch/prometheus
                ingress:
                    hosts:
                    - batchmon-prod.cern.ch/prometheus
            alertmanager:
                baseURL: http://batchmon-prod.cern.ch/alertmanager
                ingress:
                    hosts:
                    - batchmon-prod.cern.ch/alertmanager
            serverFiles:
                alerting_rules.yml:
                    groups:
                    -   name: UserAlertingRules
                        rules:
                        -   alert: UserFullAFSFolder
                            expr: delta(condor_sched_writeuserlog_error_total{error_number="27"}[5m])
                                > 10
                            for: 10m
                            labels:
                                severity: notify
                            annotations:
                                summary: User is hiting the limits of its afs folder
                                troubleshooting: https://cern.service-now.com/service-portal?id=kb_article&n=KB0000042
            alertmanagerFiles:
                alertmanager.yml:
                    global:
                        http_config:
                            authorization:
                                credentials: ENC[AES256_GCM,data:249T8eyX4Lj5RF9U0/G9I5esr/ug+Pj35RLmRf2XF83Dm65lWOUyWMmPSg51Squt9tOIPUQ1lnyCeLlxL9NjIcYGw+CxrlfxzFdSoaPFS7QxnNGgFE8=,iv:s0TxjcI0vIirvyfKbfHJGzlFIFXn6cmGVVFd2f9tIQA=,tag:15FhDZUXU32ga2/JWVdSWQ==,type:str]
                                type: Bearer
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    barbican:
    -   secret_href: https://openstack.cern.ch:9311/v1/secrets/c818c017-c08b-4a18-9508-047875979cd1
        created_at: '2022-10-26T15:26:33Z'
        enc: 1OVTHyQI8v5jx5zTiRfmr8ptHXqHGoQ5ceVuLDFBBliCuhN1Lpjd54wMtuf+sClC
    lastmodified: '2023-02-08T15:30:48Z'
    mac: ENC[AES256_GCM,data:biNHx7ycvOVVyUCMSqxvZW34gtJAA8khu3PF9acCFuFtCLvGKiPRsJO4vezxQOxeyB+BEuUSkEloLd9YA4e9MmkbvMTNCe36yxMPGRTYWJbV8TAlvrtWP3//NrjndwRmsjVylm1xyvucYBOx0gHPuTCbIMO6kiwLrYgfaWL+b/Y=,iv:Pklu+nRuf/eUHFPqPD7sMIOGDWTFHoYIuoKONKZ0R/Y=,tag:1TvAM6gewoiGLOHq/X5cug==,type:str]
    pgp: []
    encrypted_regex: ^(password)|(.*key)|(credentials)$
    version: 3.5.0-1.cern
